KnowledgeBase

Reindex a knowledge document

POST
/knowledge-base/documents/{documentId}/reindex

Authorization

SupabaseBearer
AuthorizationBearer <token>

Supabase user access token (Authorization: Bearer JWT)

In: header

Path Parameters

documentId*string
Formatuuid

Header Parameters

x-organization-id*string

Must match the organizationId path segment

Formatuuid
x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/knowledge-base/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08/reindex" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "x-organization-role: ORG_ADMIN"
{}
Empty
{  "message": "string"}
{  "message": "string"}